Bug 2002288 - [4.9] kube-proxy's userspace implementation consumes excessive CPU
Summary: [4.9] kube-proxy's userspace implementation consumes excessive CPU
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.7
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: 4.9.0
Assignee: Dan Winship
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On: 1966521
Blocks: 2002290
TreeView+ depends on / blocked
 
Reported: 2021-09-08 13:04 UTC by Dan Winship
Modified: 2021-10-18 17:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1966521
: 2002290 (view as bug list)
Environment:
Last Closed: 2021-10-18 17:51:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift sdn pull 346 0 None open Bug 2002288: [4.9] proxy: don't re-check every userspace proxy rule on every change 2021-09-14 01:24:23 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:51:45 UTC

Comment 1 Dan Winship 2021-09-14 12:03:28 UTC
marking blocker+ because this needs to get into 4.9.0 so it can be backported further for an escalation

Comment 3 zhaozhanqi 2021-09-15 06:05:15 UTC
Verified this bug on 4.9.0-0.nightly-2021-09-14-200602 with steps https://bugzilla.redhat.com/show_bug.cgi?id=1966521#c40

Comment 6 errata-xmlrpc 2021-10-18 17:51:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.